# \_get

Get Contract data

### Parameters

* id - the contract to get

### Example

```
FM_api(
	'Contract_get',
	array(
		'id'=>'9'
	)
);
```

### Result

The result should look something like this:

```
{"id":"9","name":"Test Contract","appointments":"[]","cdate":"2016-08-10 16:40:45","notes":"Some notes","last_edited":"2016-08-10 16:40:45","created_by":"1234","active":"1","customers":null,"custom":null,"budget":"0","expiry_date":null}
```

If the contract does not exist, then the result will be:

```
false
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fieldmotion.com/fieldmotion-api-docs/contract/_get.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
